SNEK-atmega32u4-INSTALL(1)

NAME
snek-atmega32u4-install - Install Snek to ATmega32u4

SYNOPSIS
snek-atmega32u4-install [OPTION]... [COMMAND]

DESCRIPTION
snek-atmega32u4-install installs the Snek programming language on a device with an ATmega32u4.

OPTIONS

-isp <ISP model>
    Specifies the programmer to use, common options are 'usbtiny' and 'avrisp2'. The default is 'usbtiny'.

-device <device>
    Set the name of the target device. Choose one of 'itsybitsy3v', 'itsybitsy5v' or 'uduino'.

-hex <snek.hex>
    Specifies the hex file to load to the board. The default is the currently installed version of Snek.

-ubahex <ubaboot.hex>
    Specifies the bootloader hex file to load to the board. The default is the currently installed version of the bootloader for the target device.

-ubaboot <ubaboot.py>
    Specifies the uba bootloader to use. The default is the currently installed version of the bootloader.

COMMANDS

load
    Loads Snek to the device using ubaboot. This is the default command.

fuse
    Sets the target fuse bits suitable for ubaboot usage. You must do this before ubaboot will work on the target device, although you may do it before or after loading the bootloader. You only need to do this once per board.

boot
    Load the uba bootloader on the target device. You only need to do this once per board.

fuseboot
    Sets the target fuse bits for ubaboot usage and then loads the bootloader to the device.

AUTHOR
Keith Packard